 void FoncEntrees(struct BOUTON *pBouton, int fPinBouton, int fEtape){

 static TON T_Depart = {false,false,false,false,1000,0,0,0,false};//Délai d'antirebond pour le départ de la minuterie
 static TON T_Arret = {false,false,false,false,125,0,0,0,false};  //Delai d'antirebond pour l'arret de la minuterie
 boolean Entree;//Drapeau qui donne l'état de l'entrée du bouton
 
 Entree = digitalRead(fPinBouton);//Lecture du bouton de l'entree
 
 T_Depart.EN = Entree && ( ((fEtape < 30) && !T_Arret.DN) || ((fEtape >= 30) && T_Depart.DN) );//Gestion de l'antirebond pour le départ
 T_Arret.EN = Entree && ( ((fEtape > 30) && !T_Depart.DN) || ((fEtape < 30) && T_Arret.DN) );  //Gestion de l'antirebond pour l'arret

 pBouton->Depart = T_Depart.DN;//Activation de la fonction depart du bouton
 pBouton->Arret = T_Arret.DN;  //Activation de la fonction arret du bouton
 
 BlocTON(&T_Depart);//Rafraichissement de la minuterie pour l'antirebond de départ
 BlocTON(&T_Arret); //Rafraichissement de la minuterie pour l'antirebond d'arret
}
