  void FoncSequence(struct BOUTON *pBouton, byte *pEtape, byte *pAffiche){
  
  static TON T_Chenil = {false,false,false,false,50,0,0,0,false};//Variable pour la minuterie du chenillard
  static TON T_Affich = {false,false,false,false,1000,0,0,0,false};//Variable pour la minuterie du decompte
  //Séquence 
  switch (*pEtape) {
  case 0://debut du chenillard
    *pAffiche = 10;//Affichage du caractere A, le premier du chenillard
    T_Affich.EN = false;//Désactivation des deux minuteries
    T_Chenil.EN = false;
    *pEtape = 10;//Saut inconditionnel a l'etape 10
    break;
  case 10://Afficher caractere du chenillard
    T_Chenil.EN = true;//Activation de la minuterie du chenillard
    Affiche_Segment(*pAffiche);//Affichage du caractere
    if(!pBouton->Depart && T_Chenil.DN){*pEtape = 20;}//Le bouton depart pas appuye et fin de la minuterie du chenillard
    if(pBouton->Depart){*pEtape = 30;}//Le bouton depart est appuye
    break;
  case 20://Passer au caractere suivant du chenillard
    ++*pAffiche;//Incrementation du caractere a afficher
    T_Chenil.EN = false;//Desactivation de la minuterie du chenillard 
    if(!pBouton->Depart && !T_Chenil.EN && *pAffiche >= 18){*pEtape = 0;}//Bouton depart pas appuye, minuterie chenillard pas active et dernier caractère du chenillard
    if(!pBouton->Depart && !T_Chenil.EN && *pAffiche < 18){*pEtape = 10;}//Bouton depart pas appuye, minuterie chenillard pas active et pas dernier caractère du chenillard
    if(pBouton->Depart){*pEtape = 30;}//Bouton depart appuye
    break;
  case 30://Depart de decompte
    *pAffiche = 0;//Afficher le caractere 0 au debut du decompte
    *pEtape = 40;//Passage inconditionnel a l'etape 40
    break;
  case 40:// Afficher caractere du decompte
    T_Affich.EN = true;//Activation de la minuterie du decompte
    Affiche_Segment(*pAffiche);//Affichage du caractere
    if(!pBouton->Arret && T_Affich.DN){*pEtape = 50;}//Pas bouton arret et temps d'affichage termine
    if(pBouton->Arret){Etape = 0;}//Bouton arret active. Fin de decompte et retour au chenillard
    break;
  case 50://Passer au caractere suivant du decompte
    ++*pAffiche;//Incrementation du caractere a afficher
    T_Affich.EN = false;//Desactivation de la minuterie du decompte
    if(!pBouton->Arret && !T_Affich.EN && *pAffiche >= 10){*pEtape = 60;}//Pas bouton arret, minuterie decompte pas active et dernier caractere du decompte
    if(!pBouton->Arret && !T_Affich.EN && *pAffiche < 10){*pEtape = 40;}//Pas bouton arret, minuterie decompte pas active et pas dernier caractere du decompte
    if(pBouton->Arret){*pEtape = 0;}//Bouton arret active. Fin de decompte et retour au chenillard
    break;
  case 60:// activation du relai
    *pAffiche = 20;//Afficher le caractere de l'activation du relai
    Affiche_Segment(*pAffiche);
    T_Affich.EN = true;//Activation de la minuterie du decompte
    if(T_Affich.DN){*pEtape = 0;}//Fin du decompte et retour au chenillard
    break;
  }
  BlocTON(&T_Chenil);//Rafraichissement de la minuterie du chenillard
  BlocTON(&T_Affich);//Rafraichissement de la minuterie du decompte
}
