/*
Polaretard II de Fabien Levac est mis à disposition selon les termes de la licence
Creative Commons Attribution - Pas d’Utilisation Commerciale - Partage dans les Mêmes Conditions 4.0 International.
pour me poser des questions, proposer des améliorations ou dire bonjour: gnochon@gmail.com
Amusez-vous bien :-)
*/
  #include <libGnochon.h> //Bibliotheque pour les minuteries

  const byte LED[22]={//Contient les combinaisons de segments à afficher
  B11100110,//00//9
  B11111110,//01//8
  B11100000,//02//7
  B10111110,//03//6
  B10110110,//04//5
  B01100110,//05//4
  B11110010,//06//3
  B11011010,//07//2
  B01100000,//08//1
  B11111100,//09//0
  B10000000,//10//A
  B01000000,//11//B
  B00000010,//12//G
  B00001000,//13//E
  B00010000,//14//D
  B00100000,//15//C
  B00000010,//16//G
  B00000100,//17//F
  B11111111,//18//Tout
  B00000000,//19//Rien
  B10010011,//20//Declenchement
  B00000001,//21//DP
  };//
  const byte segmentPins[8] = {2,3,4,5,6,7,8,9};//A,B,C,D,E,F,G,DP//Les sorties assignées aux segments.
  byte PinBouton = 12;// Numéro de pin du bouton
  byte PinRelay = 11;// Numéro de pin du relai
  //Definition du type utilisé par les minuteries
  typedef struct TON{boolean EN;boolean DN;boolean TT;boolean PremierScan;unsigned long PRE;unsigned long ACC;unsigned long Millis;unsigned long MillisAncien;boolean External;};
  typedef struct BOUTON{boolean Depart;boolean Arret;};//Definition d'un type pour les fonctions départ et Arret du bouton 
  BOUTON Boutons = {false,false};// Initialisation à faux des fontion depart et arret
  byte Affiche;   //Le numéro du caractere à afficher
  byte Etape = 0; //L'étape de la séquence. Initialise à 0.
    
  void setup(){
  pinMode(PinBouton,INPUT);  //Initialisation de l'entree du bouton
  pinMode(PinRelay, OUTPUT); //Initialisation de la sortie du relai
  for(byte i=0; i<9; i++){    //Initialisation des sorties de l'afficheur 7 segments
    pinMode(segmentPins[i], OUTPUT);
  }
  Affiche_Segment(18); //Test d'affichage de tous les segments
  delay(500);
  Affiche_Segment(19); //Eteindre tous les segments
  delay(500);
}

void loop() {
  FoncEntrees(&Boutons,PinBouton,Etape);// Lecture des entrées
  FoncSequence(&Boutons,&Etape,&Affiche);// Appel de la séquence
  Affiche_Segment(Affiche);//Appel de la fonction qui gere l'affichage des 7 segments de l'affichage
  Sorties(Affiche, PinRelay);// Appel de la fonction qui gere la sortie du relay et le clignotement du DP pendant le décompte.
}
