  //Fonction dans laquellle s'effectue l'affichage sur les 7 segments
  void Affiche_Segment(byte fAffiche){
    //lecture bit par bit de l'état des segments dans le tableau puis écriture sur la sortie correspondante
    for(byte i = 0;i < 8; i++){
      digitalWrite(segmentPins[7-i],bitRead(LED[fAffiche],i));
    }
  }
 
 //Cette fonction traite l'allumage du point decimal et l'activation du relai.
  void Sorties(byte fAffiche, byte fPinRelay){
  static TON ON = {false,false,false,false,250,0,0,0,false}; // Declaration de la minuterie pour le delai du point decimal allume.
  static TON OFF = {false,false,false,false,250,0,0,0,false};// Declaration de la minuterie pour le delai du point decimal eteint.
  
  //Cette section fait clignotter le point decimal a tout les 250mS pour 250mS.
  ON.EN =  (fAffiche < 10) && ((OFF.DN || (!ON.EN && !OFF.EN) || ON.EN) && !(OFF.DN));//Conditions pour activer la minuterie ON; le point decimal est allume si ON.TT
  OFF.EN = (fAffiche < 10) && (( ON.DN || OFF.EN) && !(OFF.DN));//Condition pour activer la minuterie OFF; le point decimal est eteint si OFF.TT
  BlocTON(&ON);//Appel de la minuterie ON
  BlocTON(&OFF);//Appel de la minuterie OFF
  digitalWrite(segmentPins[7],ON.TT);//Le point decimal reste allumé tant que la minuteire ON compte.
  
  //Le relai est activé lorsque le denier caractere du decompte est affiche
  digitalWrite(fPinRelay,(fAffiche == 20));
}
